# documentation:2.0:safejail
Keywords: documentation,2.0,safejail

# Cage sécurisée

## Présentation

LemonLDAP::NG utilise une cage sécurisée pour évaluer toutes les expressions :

- Règle d'accès
- En-tête
- Paramètres de rejeu de formulaires
- Macros
- Groupes
- Conditions :
  - Affichage des modules du menu
  - Affichage des modules de Multi
  - Utilisation de IssuerDB
  - Ouverture de session

Plus d'information sur Safe sur le CPAN

## Désactiver la cage sécurisée

Safe peut être très gênant lorsqu'on utilise les fonctions étendues ou les fonctions personnalisées. Dans ces cas, on peut vouloir le désactiver.

Pour ce faire, aller dans le manager > Paramètres généraux > Paramètres avancés > Sécurité > Utiliser la cage sécurisée et la désactiver.